<?php
/**
 * @package ats
 * @copyright Copyright (c)2011-2014 Nicholas K. Dionysopoulos / AkeebaBackup.com
 * @license GNU GPL v3 or later
 */

// No direct access
defined('_JEXEC') or die;

$tickets = FOFModel::getTmpInstance('Tickets', 'AtsModel')
            ->created_since($this->input->getCmd('created_since'))
            ->created_until($this->input->getCmd('created_until'))
            ->getTotalsByCategory();

$spared = FOFModel::getTmpInstance('Attempts', 'AtsModel')
            ->created_since($this->input->getCmd('created_since'))
            ->created_until($this->input->getCmd('created_until'))
            ->getTotalsByCategory();

$categories = FOFModel::getTmpInstance('Categories','AtsModel')
                ->getList();

$result    = array();
$not_saved = array();
$saved     = array();

foreach($categories as $category)
{
    if(!isset($spared[$category->id]))
    {
        $cur_saved = 0;
    }
    else
    {
        $cur_saved = $spared[$category->id]->total;
    }

    if(!isset($tickets[$category->id]))
    {
        $cur_created = 0;
    }
    else
    {
        $cur_created = $tickets[$category->id]->total;
    }

    if($cur_created)
    {
        $not_saved[] = round(($cur_created - $cur_saved) * 100 / $cur_created, 2);
        $saved[]     = 100 - round(($cur_created - $cur_saved) * 100 / $cur_created, 2);
    }
    else
    {
        $not_saved[] = 0;
        $saved[]     = 0;
    }

    $result['categories'][] = $category->title;
}

$result['tickets'][] = $not_saved;
$result['tickets'][] = $saved;

echo json_encode($result);